DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# PixelTableGetOffsetAndLength

Converts the pixel table's runs

## SYNOPSIS

`#include "dip_pixel_table.h"`

dip_Error dip_PixelTableGetOffsetAndLength ( table, stride, offset, length, resources )

## FUNCTION

This functions converts the linked-list of runs in the pixel table `table` to two arrays of offsets and lengths. The length of these arrays equals the number of runs. The offsets are calculated by multiplying each coordinate of a run with the `stride` of that dimension. This function is useful when an image needs to be filtered with a filter that is encoded by a pixel table. Before processing the image. See also `PixelTableFrameWork`.

## ARGUMENTS

Data type | Name | Description
`dip_PixelTable` | `table` | Pixel table
`dip_IntegerArray` | `stride` | Stride array
`dip_IntegerArray *` | `offset` | Pointer to offset array
`dip_IntegerArray *` | `length` | Pointer to length array
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

Description of DIPlib's pixel tables

`PixelTableNew`, `PixelTableGetOffsetAndLength`, `PixelTableCreateFilter`, `PixelTableFrameWork`